TILP(1)

NAME
TiLP2 - a communication program for TI calculators ('Tilp Is a Linking Program')

SYNOPSYS
tilp [-h / --help] [-v / --version] [--calc=] [--cable=] [--port=] [--timeout=] [--delay=] [--silent] [--no-gui] [filename]

DESCRIPTION
The TiLP program allows you to backup, restore and archive variables and/or applications for your Texas Instruments calculator on your computer. It has also additional features such as screen dump, remote control, ROM dump, FLASHing. TiLP is a very complete program. Moreover, you have the same program for all calculator models.

OPTIONS
The command line of tilp can be used for sending files like variables, backup, FLASH apps, OS, TIGroup, etc. You cannot do any other operations. If you want more operations, you have to use the GUI. For sending one or more files, simply pass the filename(s) on the command line. If you want to use TiLP from console, use the --no-gui switch.

Take care: options must be passed before the filename!

tilp accepts the following options:

-h, --help
    Display a list of all command line options.

-v, --version
    Output the version info.

--no-gui, -n
    Send file(s) without launching any Graphical User Interface. All information is displayed in the console. Beware: using this switch disables any overwrite check. Use it with care!

--silent, -s
    Skip questions in no GUI mode. Should be used with --no-gui switch.

--calc=CALC, CALC
    Select a calculator type: v200, ti92+, ti92, ti89t, ti89, ti86, ti85, ti84+, ti83+, ti83, ti82, ti73 or nspire.

--cable=CABLE, CABLE
    Select a link cable type: GrayLink, BlackLink, Parallel, SilverLink, DirectLink, VTi, TiEmu.

--port=PORT, -pPORT
    Specify on which port the link cable is plugged on. Can be null, 1, 2, 3 or 4.

--timeout=TIMEOUT, -tTIMEOUT
    in tenth of seconds (0.1 s). The program waits for a response of the calculator during that amount of time. Once this delay is elapsed, the program sends a timeout error. The default value is 1 second.

--delay=DELAY, -dDELAY
    in microseconds. This is the time which separates the transmission of 2 bytes (in the old cables). The default value is 5 microseconds. Decreasing this value increases the transfer speed but decreases the reliability of the transmission.

EXAMPLE
Quickly send (no GUI) a file to a TI-89 through a BlackLink cable on the second serial port (/dev/ttyS1 or COM2), setting the timeout to 2s:

tilp --calc=ti89 --cable=BlackLink --port=2 --timeout=20 --no-gui group.89g

Starting at version 1.13, a new and shorter syntax can be used:

tilp ti89 blacklink -p2 -t20 -n group.89g

CONFIG FILE FORMAT
This section describes the format of the .tilp config file which is in the home directory of the user (*nix, Win32), or the old tilp.ini file formerly stored alongside the program (Win32). The file is separated into several sections (hardware, gui, calc, external programs, fonts, screen, misc). A line preceded by the '#' symbol is a comment. Each line has the following format: option=something. Every line can be put in any order. Beware: any comment added to the file will be overwritten! Here's a description of the options and their possible values:

version= Which version of TiLP has written the config file. Used to display the Release the file and to keep compatibility.

calc_model= Defines the calculator type. Choose one of the following values (case insensitive): ti73, ti82, ti83, ti83+, ti84+, ti85, ti86, ti89, ti92, ti92+, v200, nspire.

cable_model= Define the link cable type (case sensitive). Choose one of the following value: GrayLink, BlackLink, Parallel, SilverLink, DirectLink, VTi or TiEmu.

cable_port= Define the port to use. You have to choose one of the following value depending on your link cable type and the port you want use: parallel port #[1-3], serial port #[1-4], virtual port #[1-2], USB port #[1-4].

cable_timeout= with the timeout value to use in tenth of seconds. Default value: 20.

cable_delay= with the delay value to use in micro-seconds for home-made cables. Default value: 10

pane_x_size= and pane_y_size= Gives the width and height values of the remote view.

wnd_x_size1= and wnd_y_size1= Gives the width and height of the windows in full view.

wnd_x_size2= and wnd_y_size2= Gives the width and height of the windows in simplified view (no right frame).

local_sort= Define the sorting method for the right window. Choose one of the following value: name, date, size, user, group, attrib

local_sort_order= Define the sorting order for the right window. Choose either 'up' or 'down'.

remote_sort= Define the sorting method for the left window. Choose one of the following value: name, info, type, size

remote_sort_order= Define the sorting order for the left window. Choose either 'up' or 'down'.

filesel_type= File selector type (1: gtk, 2: native, 3: kde).

full_gui= Display the right frame (local view).

local_path= Use full path when sending variables.

show_all= Show all files (1) or only TI files (0).

overwrite= Defines whether TiLP should ask for confirmation when you attempt to delete files/variables. Use with care!

recv_as_group= Receive set of files as a grouped file if enabled.

working_dir= Contains the directory that TiLP will list at startup. Can be changed from the popup menu.

remote_font_name= Define the font to use in the left window (calc files). The font is described by its XFLD (X-Font Logical Description) name.

local_font_name= Define the font to use in the right window (computer files). The font is described by its XFLD name, such as: -adobe-courier-medium-r-*-*-*-125-*-*-*-*-*-*

screen_format= Define the image format to use for saving screen captures. It can be: xpm (1), jpg, bmp, tif, png, pdf and eps (7).

screen_scaling= Unused.

screen_clipping= If enabled, display only the LCD area. Otherwise, displays the full area (the hidden part is only usable via ASM programming on TI89).

screen_blurry= Define whether the image is saved in B&W or saved like a VTi image (dark & light gray).

COPYRIGHT
Copyright (C) 1999-2006, Romain Lievin. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

This program and its source code is distributed under the terms of the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

SUGGESTIONS AND BUG REPORTS
The canonical place to find TiLP2 and some miscellaneous information is at http://www.tilp.info (redirected to http://lpg.ticalc.org/prj_tilp/index.php) You can also look at http://lpg.ticalc.org and http://www.ticalc.org for others TI related programs for Linux. French people can also look at http://www.ti-fr.org and http://tiplanet.org.

AUTHOR
Original author (Linux & Win32): Romain Lievin.

Mac OS-X port by Julien Blache.

FreeBSD port by Tijl Coosemans.

THANKS
Thanks to these people for having lent me their calculator: Jean-Pierre and Thomas (TI92+), Benoit, Philippe and Florence (TI89), Louis (TI86), Luc (TI85), Nicolas (TI83), Jean-Philippe and Francois (TI82). Special thanks to Guillaume for his Grey/Gray TIGL link cable. Thanks to many others (patches, suggestions, ...)

SEE ALSO
tilp(1) tiemu(1)